# eric7.Plugins.VcsPlugins.vcsMercurial.QueuesExtension.HgQueuesRenamePatchDialog

Module implementing a dialog to enter the data to rename a patch.

### Global Attributes

None

### Classes

HgQueuesRenamePatchDialog | Class implementing a dialog to enter the data to rename a patch.

### Functions

None

## HgQueuesRenamePatchDialog

Class implementing a dialog to enter the data to rename a patch.

### Derived from

QDialog, Ui_HgQueuesRenamePatchDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgQueuesRenamePatchDialog | Constructor
__updateUI | Private slot to update the UI.
getData | Public method to retrieve the entered data.
on_nameCombo_currentIndexChanged | Private slot to handle changes of the selected patch name.
on_nameEdit_textChanged | Private slot to handle changes of the new name.
on_namedButton_toggled | Private slot to handle changes of the selection method.

### Static Methods

None

#### HgQueuesRenamePatchDialog (Constructor)

HgQueuesRenamePatchDialog(currentPatch, patchesList, parent=None)

Constructor

currentPatch
  name of the current patch (string)
patchesList
  list of patches to select from (list of strings)
parent
  reference to the parent widget (QWidget)

#### HgQueuesRenamePatchDialog.__updateUI

__updateUI()

Private slot to update the UI.

#### HgQueuesRenamePatchDialog.getData

getData()

Public method to retrieve the entered data.

Return:
  tuple of new name and selected patch (string, string)

#### HgQueuesRenamePatchDialog.on_nameCombo_currentIndexChanged

on_nameCombo_currentIndexChanged(index)

Private slot to handle changes of the selected patch name.

index (int)
  current index

#### HgQueuesRenamePatchDialog.on_nameEdit_textChanged

on_nameEdit_textChanged(txt)

Private slot to handle changes of the new name.

txt
  text of the edit (string)

#### HgQueuesRenamePatchDialog.on_namedButton_toggled

on_namedButton_toggled(checked)

Private slot to handle changes of the selection method.

checked
  state of the check box (boolean)

Up